package cicaprojekt;

import java.util.Timer;
import java.util.TimerTask;

public class FlowOfTime extends Timer {
    private TimerTask timeup;
    private long gametime;
    private Game game;


    private class GameOver extends TimerTask {

        @Override
        public void run() {
            game.stopGame(GameoverCause.TIMEOUT);
        }
    }

    public void start(long delay) {
        schedule(new GameOver(), delay);
    }
}
